Debian Bug report logs - #617516
debian-policy: Clarification that what needs to be machine-extractable is the copyright file, not its contents.

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Charles Plessy <plessy@debian.org>

Date: Wed, 9 Mar 2011 14:45:05 UTC

Severity: wishlist

Found in version debian-policy/3.9.1.0

Fixed in version debian-policy/3.9.3.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#617516; Package debian-policy. (Wed, 09 Mar 2011 14:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, Debian Policy List <debian-policy@lists.debian.org>. (Wed, 09 Mar 2011 14:45:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-policy: Clarification that what needs to be machine-extractable is the copyright file, not its contents.
Date: Wed, 09 Mar 2011 23:42:31 +0900
[Message part 1 (text/plain, inline)]
Package: debian-policy
Version: 3.9.1.0
Severity: wishlist

Dear all,

following the discussion on debian-project, here is a small patch that
clarifies §12.5, where it is written that copyrights must be extractable by
mechanical means.

See http://lists.debian.org/87r5aha46g.fsf@zancas.localnet for the small discussion.

With the possible arrival of DEP-5 in the debian-policy package, I think that
it can be good to clarify that what the Policy requires to be
machine-extractable are the copyright files, not their content.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan
[0001-What-needs-to-be-machine-extractable-is-the-copyrigh.patch (text/plain, attachment)]

Added tag(s) patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 10 Mar 2011 05:27:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#617516; Package debian-policy. (Sat, 28 May 2011 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 28 May 2011 19:15:03 GMT) Full text and rfc822 format available.

Message #12 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Charles Plessy <plessy@debian.org>, 617516@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#617516: debian-policy: Clarification that what needs to be machine-extractable is the copyright file, not its contents.
Date: Sat, 28 May 2011 21:13:28 +0200
[Message part 1 (text/plain, inline)]
On Wed, Mar 09, 2011 at 11:42:31PM +0900, Charles Plessy wrote:
> Package: debian-policy
> Version: 3.9.1.0
> Severity: wishlist
> 
> Dear all,
> 
> following the discussion on debian-project, here is a small patch that
> clarifies §12.5, where it is written that copyrights must be extractable by
> mechanical means.
> 
> See http://lists.debian.org/87r5aha46g.fsf@zancas.localnet for the small discussion.
> 
> With the possible arrival of DEP-5 in the debian-policy package, I think that
> it can be good to clarify that what the Policy requires to be
> machine-extractable are the copyright files, not their content.
> 
> diff --git a/policy.sgml b/policy.sgml
> index 6e04c81..2a01b02 100644
> --- a/policy.sgml
> +++ b/policy.sgml
> @@ -9630,8 +9630,8 @@ END-INFO-DIR-ENTRY
>  	  <file>/usr/share/doc/<var>package</var></file> may be a symbolic
>  	  link to another directory in <file>/usr/share/doc</file> only if
>  	  the two packages both come from the same source and the
> -	  first package Depends on the second.  These rules are
> -	  important because copyrights must be extractable by
> +	  first package Depends on the second.  These rules are important
> +	  because <file>copyright</file> files must be extractable by
>  	  mechanical means.
>  	</p>
>  

Seconded. I think this matches the intent better.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#617516; Package debian-policy. (Sat, 28 May 2011 19:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 28 May 2011 19:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#617516; Package debian-policy. (Sat, 28 May 2011 19:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 28 May 2011 19:21:05 GMT) Full text and rfc822 format available.

Message #22 received at 617516@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 617516@bugs.debian.org
Subject: Re: Bug#617516: debian-policy: Clarification that what needs to be machine-extractable is the copyright file, not its contents.
Date: Sat, 28 May 2011 21:20:09 +0200
[Message part 1 (text/plain, inline)]
* Charles Plessy <plessy@debian.org>, 2011-03-09, 23:42:
>diff --git a/policy.sgml b/policy.sgml
>index 6e04c81..2a01b02 100644
>--- a/policy.sgml
>+++ b/policy.sgml
>@@ -9630,8 +9630,8 @@ END-INFO-DIR-ENTRY
> 	  <file>/usr/share/doc/<var>package</var></file> may be a symbolic
> 	  link to another directory in <file>/usr/share/doc</file> only if
> 	  the two packages both come from the same source and the
>-	  first package Depends on the second.  These rules are
>-	  important because copyrights must be extractable by
>+	  first package Depends on the second.  These rules are important
>+	  because <file>copyright</file> files must be extractable by
> 	  mechanical means.
> 	</p>

Seconded.

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Bill Allombert <ballombe@debian.org> to control@bugs.debian.org. (Mon, 06 Jun 2011 18:00:18 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 24 Dec 2011 19:48:06 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 23 Feb 2012 04:06:20 GMT) Full text and rfc822 format available.

Notification sent to Charles Plessy <plessy@debian.org>:
Bug acknowledged by developer. (Thu, 23 Feb 2012 04:06:20 GMT) Full text and rfc822 format available.

Message #31 received at 617516-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 617516-close@bugs.debian.org
Subject: Bug#617516: fixed in debian-policy 3.9.3.0
Date: Thu, 23 Feb 2012 04:02:13 +0000
Source: debian-policy
Source-Version: 3.9.3.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.9.3.0.dsc
  to main/d/debian-policy/debian-policy_3.9.3.0.dsc
debian-policy_3.9.3.0.tar.gz
  to main/d/debian-policy/debian-policy_3.9.3.0.tar.gz
debian-policy_3.9.3.0_all.deb
  to main/d/debian-policy/debian-policy_3.9.3.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 617516@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 22 Feb 2012 19:40:36 -0800
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.3.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 23712 89038 498300 532120 578421 593533 609162 617315 617516 619275 620870 621479 623050 626338 626408 626779 626796 627490 628540 633797 637614 640735 640737 641071 643690 644230 646119 646166 648387 649674 651020 658209
Changes: 
 debian-policy (3.9.3.0) unstable; urgency=low
 .
   [ Russ Allbery ]
   * Update the copyright format document to the version of DEP-5 from the
     DEP web site and apply additional changes from subsequent discussion
     in debian-devel and debian-project.  Revise for clarity, to add more
     examples, and to update the GFDL license versions.  Thanks, Steve
     Langasek, Charles Plessy, Justin B Rye, and Jonathan Nieder.
     (Closes: #658209, #648387)
   * Publish the copyright format specification as copyright-format-1.0 so
     that later versions can be added without removing previous versions of
     the standard.  Patch from Charles Plessy.  (Closes: #646119)
   * Policy: Improve Architecture field in source package
     Wording: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #626779
   * Policy: Initial Debian maintainers need not be listed in copyright
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Closes: #593533
   * Policy: Document cron job file naming restrictions
     Wording: Karl E. Jorgensen <karl@jorgensen.org.uk>
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Dominic Hargreaves <dom@earth.li>
     Seconded: Javier Fernández-Sanguino Peña <jfs@computer.org>
     Closes: #609162
   * Policy: Document issues with conflicting packages sharing a conffile
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #23712
   * Policy: Add /run FHS exception, clarify rules for /run and /var/run
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Roger Leigh <rleigh@codelibre.net>
     Closes: #620870, #532120
   * Policy: Architecture restrictions in a dependency must be non-empty
     Wording: Stefano Zacchiroli <zack@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Colin Watson <cjwatson@debian.org>
     Closes: #498300
   * MIME Policy: Retire this document and merge it with Policy
     Wording: Ben Finney <ben+debian@benfinney.id.au>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Closes: #89038
   * Consistently use "Debian source control file" for *.dsc files and
     "Source package control file" for debian/control files.  Patch from
     Charles Plessy.  (Closes: #626796)
   * Clarify that continuation lines of the Description control field must
     contain at least one non-whitespace character.  Thanks, Guillem Jover.
     (Closes: #627490)
   * Fix the example of creating a /usr/local subdirectory to not fail if
     the chown or chmod fail.  Thanks, Joey Hess.  (Closes: #617315)
   * Clarify the requirements for symlinks from inside one top-level
     directory to another and add examples and a rationale.  Thanks,
     Carsten Hey.  (Closes: #626338)
   * Clarify that Perl Policy 2.4 is for packages built from the perl
     source package and the manual page extensions are different for
     separate module packages.  Thanks, Steve Langasek.  (Closes: #643690)
   * Say that packages in main may also not recommend packages in non-free,
     bringing the main text in line with the list of fields and in line
     with the long-standing release goal.  (Closes: #646166)
   * Resynchronize the archive section list with ftp-master, adding
     education, introspection, and metapackages.  Patch from Charles
     Plessy.  (Closes: #651020)
   * Clarify that packages in main may not declare Pre-Depends or
     Build-Depends-Indep relationships outside of main either.  Partly
     addresses #587279.
   * Fix typo in the version numbers in the dpkg-divert examples.  Thanks,
     Slavko.
   * Add the release date of 3.9.2.0 to upgrading-checklist.
   * Fix ordering of the last entries in the 3.9.2.0 upgrading-checklist.
   * Fix typo in upgrading-checklist entry for multiarch paths.  Thanks,
     Michael Dorrington.  (Closes: #626408)
   * Add id tags for each version entry in upgrading-checklist so that,
     when eventually published somewhere, other Debian web sites can link
     to specific entries.  Patch from Charles Plessy.
   * Add AGPL-3 to tools/license-count.
   * Update tools/license-count to work with the new Lintian lab layout.
   * Add build-arch and build-indep targets to debian/rules.
 .
   [ Bill Allombert ]
   * Policy: Link relationship fields (7.1) to architecture specification
     strings (11.1).
     Patch from Charles Plessy in #628174.
   * Policy: Retire legacy Motif policy (11.8.8)
     Proposed by: Justin B Rye
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Closes: #621479
   * copyright-format: Fix URL for the Eiffel Forum License.
     Reported by Thomas Preud'homme, patch by Charles Plessy.
     Closes: #623050
   * copyright-format: Update SPDX link to point to the SPDX license registry.
     Patch by Charles Plessy.  Closes: #628540
   * copyright-format: Correct or add links to SPDX.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #641071
   * Policy: Clarify that 'machine-extractable' referer the copyright
     files (12.5)
     Wording:  Charles Plessy <plessy@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Closes: #617516
   * copyright-format: remove drivers from abstract and useless appendix
     Wording: Lars Wirzenius <liw@liw.fi>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Closes: #640735
   * copyright-format: Fix syntax of examples.
     Proposed by: Charles Plessy <plessy@debian.org>
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Closes: #649674
   * copyright-format: Clarify specification of multiple license exception:
     Wording: Steve Langasek <vorlon@debian.org>
     Seconded: Craig Small <csmall@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Jonas Smedegaard <dr@jones.dk>
     Closes: #633797
   * copyright-format: Specify URL on www.debian.org
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: David Prévot <taffit@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #640737
   * Perl policy: Document major version upgrade trigger
     Wording: Dominic Hargreaves <dom@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Niko Tyni <ntyni@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #619275
   * Virtual: change ttf-japanese-{mincho, gothic} to
     fonts-japanese-{mincho, gothic}.
     Proposed by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Closes: #644230
   * Virtual: Retire java-compiler, java2-compiler, and java-virtual-machine.
     Proposed by: Niels Thykier <niels@thykier.net>
     Seconded: tony mancill <tmancill@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Closes: #578421
   * Policy 9.10: No more recommend to call install-docs for doc-base.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Robert Luberda <robert@debian.org>
     Seconded: Raphael Hertzog <hertzog@debian.org>
     Closes: #637614
Checksums-Sha1: 
 f09d426468f56b6049b9125da20653929839ab3d 1518 debian-policy_3.9.3.0.dsc
 ccf8018f8d0bd2e362c9af50622ddd003ea52ac7 692844 debian-policy_3.9.3.0.tar.gz
 ee6c63e2c39db3cb1478ebe4115fc856a455d92b 1926768 debian-policy_3.9.3.0_all.deb
Checksums-Sha256: 
 5466d21ba0c6ede59969da1092d140eb0039e2d0fcc73911db2fcf41d193a80a 1518 debian-policy_3.9.3.0.dsc
 3d04d02064329136765d0e5926aca956d9d55ca171ad12efcbb890cffaad4a73 692844 debian-policy_3.9.3.0.tar.gz
 e456bf496aeb792c90cbbf7a8192c8cb13e5421252779d5f9cb6114a47321c3e 1926768 debian-policy_3.9.3.0_all.deb
Files: 
 d2c6604b9c75c57536ac42b04abb3eba 1518 doc optional debian-policy_3.9.3.0.dsc
 01d3630a3393d484ad765d53aca0f0fc 692844 doc optional debian-policy_3.9.3.0.tar.gz
 88e00d9c8508884a9403ae403332325a 1926768 doc optional debian-policy_3.9.3.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJPRbldAAoJEH2AMVxXNt51FqYH/222GABCa953WNu1SRxP7s7k
HttTjAFekZkxGz+EfjujDteiJg3j6ep0ebOSQXSDm2EoTJY4RtpzmSigTqw0wGC4
+uv4StQTZTK/SJD8BYq3gkrxTy2YvzmVnfh1JIr8xLy3+l7jK7zykIDlg2nwUann
rUk5mY5x0Us8XK7U6TEjyudhPqppinARoolS+bSLBlkpGokOqXILRN2V6S5q1sAN
5I0YfL3coD/b2CEpJnieSMQagsO8H0Vn0n2RgT4T8L2fXuKo2dKCWfFAv3XlwPb0
RwmIz/pl8kqsdf+fJnUGXGqxfpy+TdUAdTlPIYQTaM5dn5E1i3oH8r2hOkEHQYU=
=AEmv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:36:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:11:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.